(function(){

$(document).ready(function(){
  $('.btn-remove-cart-item').on('ajax:success', removedCartItem);
  $('.copy-shipping-info').on('click', clickedCopyShippingInfo);
  $('.country-select').on('change', onCountryChanged);
  $('.country-select').trigger('change');

  // Prepare the credit card form
  $('#tb_commerce_credit_card_card_expiration_2i').attr('data-stripe', 'exp_month');
  $('#tb_commerce_credit_card_card_expiration_1i').attr('data-stripe', 'exp_year');
  $('#new_tb_commerce_credit_card').on('submit', submittedCreditCard);
});

// EVENTS
//////////

var removedCartItem = function(e){
  window.location.reload(true);
};

var clickedCopyShippingInfo = function(e){
  e.preventDefault();
  var data = $(this).data('order');

  var attrs = ['name', 'address', 'city', 'country', 'state', 'postal'];
  for(var i=0; i<attrs.length; i++){
    var attr = attrs[i];
    $('#tb_commerce_credit_card_billing_' + attr).val(data[attr]);
  }

  $('#tb_commerce_credit_card_billing_state').data('state', data.state);
  $('.country-select').trigger('change');
};

var onConfirmedTransaction = function(event, json, textStatus, jqXHR){

};

var onCountryChanged = function(){
  var $picker = $(this);
  $.ajax($picker.data('api'), {
    dataType: 'json',
    data: {
      country: $picker.val()
    },
    success: buildStateOptions
  });
};

var submittedCreditCard = function(e){
  e.preventDefault();

  var $form = $(this);
  var $submit = $form.find('input[type=submit]');
  $.rails.disableFormElement($submit);

  Stripe.createToken(this, function(status, response){
    if(response.error){
      window.alert(response.error.message);
      $.rails.enableFormElement($submit);
    }
    else{
      var token = response.id;
      var apiUrl = $form.data('api');
      $.ajax(apiUrl, {
        type: 'post',
        data: {
          authenticity_token: tb.util.getCsrfToken(),
          tb_commerce_transaction: {
            token: token
          }
        },
        success: function(){
          var successUrl = $form.data('success');
          window.location = successUrl;
        },
        error: function(jqXHR){
          window.alert('Error: ' + jqXHR.responseText);
          $.rails.enableFormElement($submit);
        }
      });
    }
  });
};

// VIEW
///////

var buildStateOptions = function(states){
  var opts = ['<option value="">Select State</option>'];
  var len = states.length;
  for(var i=0; i<len; i++){
    var state = states[i];
    var opt = '<option value="'+state[0]+'">' + state[1] + '</option>';
    opts.push(opt);
  }
  var html = opts.join('');

  var $picker = $('#tb_commerce_order_state, #tb_commerce_credit_card_billing_state');
  var selected = $picker.data('state');
  $picker.html(html);
  if(selected){
    $picker.val(selected);
  }
};

})();
