class TbCommerce::Admin::TransactionsController < Admin::ApplicationController

  belongs_to_spud_app :transactions
  add_breadcrumb 'Transactions', :tb_commerce_admin_transactions_path
  before_action :load_transaction, :only => :show

  def index
    @transactions = TbCommerce::Transaction.order(:created_at => :desc).paginate(:page => params[:page])
    if params[:search]
      @transactions = @transactions.search(params[:search])
    end
    render 'index'
  end

  def show
    render 'show'
  end

private

  def load_transaction
    @transaction = TbCommerce::Transaction.find_by!(:id => params[:id])
    add_breadcrumb "##{@transaction.id}", tb_commerce_admin_transaction_path(@transaction)
  end

end
