module TbCommerce::Admin::TransactionsHelper

  def tb_commerce_status_label_for_transaction(status)
    if status == 'captured'
      cls = 'success'
    elsif status == 'fail'
      cls = 'important'
    elsif status == 'refunded' || status == 'voided'
      cls = 'warning'
    else
      cls = 'default'
    end
    content_tag :span, status.titleize, :class => "label label-#{cls}"
  end

  def link_to_for_stripe_charge(transaction)
    if transaction.captured?
      return link_to transaction.stripe_charge_id, url_for_stripe_charge(transaction.stripe_charge_id), :target => :blank
    else
      return '--'
    end
  end

  def url_for_stripe_charge(stripe_charge_id)
    return "#{stripe_base_url}/payments/#{stripe_charge_id}"
  end

  def stripe_base_url
    return "https://dashboard.stripe.com"
  end

end
