module TbCommerce::CartsHelper

  # Return a link to the user's shopping cart, with the number of items in the text
  #
  # * link_text: The text of the link. Defaults: "My Cart"
  #
  def tb_commerce_cart_link(link_text:'My Cart')
    if tb_commerce_current_cart.present?
      count = tb_commerce_current_cart.cart_items.count
    else
      count = 0
    end
    link_to "#{link_text} (#{count})", tb_commerce_cart_path, :class => 'tb-checkout-cart-link'
  end

  # Return a list of credit card types for use with a form select
  #
  def tb_commerce_credit_card_types()
    types = [
      ['Visa', 'visa'],
      ['MasterCard', 'master'],
      ['Discover', 'discover'],
      ['American Express', 'american_express']
    ]
    types.select!{ |a, b|
      TbCommerce.config.card_types.include?(b.to_sym)
    }
    return types
  end

  def tb_commerce_options_for_cart_item(cart_item)

  end

end
