class TbCommerce::OrderMailer < ApplicationMailer

  # Send an email to the configured admin address
  #
  def order_placed(order)
    return if TbCommerce.config.order_placed_email.nil?
    @order = order
    mail(:to => TbCommerce.config.order_placed_email, :from => Spud::Core.config.from_address)
  end

  # Send a receipt to the user who placed the order
  #
  def order_confirmation(order)
    @order = order
    mail(:to => order.email, :from => Spud::Core.config.from_address)
  end

  # Send an email to the user with shipping information
  #
  def order_shipped(order)
    @order = order
    mail(:to => order.email, :from => Spud::Core.config.from_address)
  end

end
