class TbCommerce::CartItem < ActiveRecord::Base
  self.table_name = 'tb_commerce_cart_items'

  belongs_to :cart, :foreign_key => :tb_commerce_cart_id, :touch => true
  belongs_to :product_sku, :foreign_key => :tb_commerce_product_sku_id

  serialize :configuration, Hash

  # validates :cart, :product_sku, :presence => true
  validates :quantity, :numericality => {:greater_than => 0}
  validates :configuration, :length => {:maximum => 1000}
  before_save :set_product_sku_values

  def total_price
    return price * quantity
  end

private

  def set_product_sku_values
    if product_sku
      self.description = product_sku.description
      self.price = product_sku.price
    end
  end

end
