Rails.application.routes.draw do

  namespace :tb_commerce, :path => '/' do
    namespace :admin do
      resources :orders do
        member do
          get :ship
          put :mark_shipped
        end
      end
      resources :transactions
    end
  end

  namespace :tb_commerce, :path => '/store' do

    namespace :api, :defaults => {:format => :json} do
      resources :products, :only => [:index, :show] do
        get :skus, :on => :member
        get :options, :on => :member
      end
      resources :cart_items, :only => [:create, :update, :destroy, :index]
      resources :transactions, :only => [:create]
      resources :orders, :only => [:create]
      resources :states, :only => :index
    end

    resource :cart, :only => :show
    resources :orders, :only => [:index, :show]

    get '/checkout' => 'checkout#new'
    get '/checkout/billing' => 'checkout#billing', :as => :checkout_billing

    get '/search' => 'products#search', :as => 'product_search'
    get '/:category_id' => 'products#index', :as => 'category_products'
    get '/:category_id/:id' => 'products#show', :as => 'category_product'

    get '/' => 'categories#index', :as => 'categories'
    get '/' => 'categories#index', :as => 'root'
  end

end
