class RemovePaymentInfoFromTransactions < ActiveRecord::Migration
  def up
    change_table :tb_commerce_transactions do |t|
      # Removes authorize.net columns
      t.remove :gateway_transaction_id
      t.remove :billing_first_name
      t.remove :billing_last_name
      t.remove :billing_address
      t.remove :billing_address_2
      t.remove :billing_city
      t.remove :billing_state
      t.remove :billing_postal
      t.remove :billing_country

      # Adds stripe columns
      t.string :stripe_charge_id
      t.rename :response_text, :raw_response
    end
  end

  def down
    change_table :tb_commerce_transactions do |t|
      t.integer :gateway_transaction_id
      t.string :billing_first_name
      t.string :billing_last_name
      t.string :billing_address
      t.string :billing_address_2
      t.string :billing_city
      t.string :billing_state
      t.string :billing_postal
      t.string :billing_country
      t.remove :stripe_charge_id
      t.rename :raw_response, :response_text
    end
  end
end
