module TbCommerce
  include ActiveSupport::Configurable

  # Images
  #
  config_accessor :image_sizes, :image_convert_options, :image_file_options, :paperclip_storage, :image_storage_path, :image_storage_url
  self.image_sizes = {
    :small => '50x50#',
    :medium => '200x200#',
    :large => '400x400#'
  }
  self.image_convert_options = {
    :all => '-strip'
  }
  self.image_file_options = {
    :all => '-density 72'
  }
  self.paperclip_storage = :filesystem
  self.image_storage_path = ":rails_root/public/system/tb_commerce/:id/:style/:basename.:extension"
  self.image_storage_url = "/system/tb_commerce/:id/:style/:basename.:extension"

  # Shopping Cart and Gateway
  #
  config_accessor :card_types, :layout, :cart_lifespan, :cart_item_class_name, :order_placed_email, :sales_tax, :flat_rate_shipping
  self.card_types = [:visa, :master, :discover, :american_express]
  self.layout = nil
  self.cart_lifespan = 3.days
  self.cart_item_class_name = nil
  self.order_placed_email = nil
  self.sales_tax = 0
  self.flat_rate_shipping = 0
end
